Airwallex logo
Airwallex logoAirwallex logo

PSP Settlement DepositsBeta

Copy for LLMView as Markdown

A PSP Settlement Deposit is a deposit made by a PSP into a holding account. It is associated with a PSP Settlement Intent.

Airwallex provides the Platform with a holding account, set up by a Airwallex Solutions Engineer. Platforms pass payment details to a pay-in PSP for funds acquired by PSPs to be deposited to Airwallex.

PSP Settlement Deposits form part of the PSP-agnostic payout solution .

Endpoints
GET /api/v1/psp_settlement_deposits

Get a list of PSP settlement deposits

GET /api/v1/psp_settlement_deposits

Get a list of PSP settlement deposits sent to your account. The deposits returned are sorted by deposit time in descending order.

Parameters
deposit_idstring

Unique identifier of the deposit

from_deposited_atstring

The start date of deposited_at in ISO8601 format (inclusive)

global_account_idstring

Global account unique identifier to which the funds were sent

holding_account_idstring

Holding account unique identifier into which the funds were deposited

page_numinteger

Page number, starts from 0

page_sizeinteger

Number of results per page. Default value is 100, minimum 10, maximum 100

statusstring

PSP Settlement Deposit status. One of NEW, MATCHED, or ACTION_REQUIRED

to_deposited_atstring

The end date of deposited_at in ISO8601 format (inclusive)

Response body - 200 OK
amountstring

Amount of the PSP settlement deposit

currencystring

Currency (3-letter ISO-4217 code) of the PSP settlement deposit

deposit_idstring

The unique identifier of the deposit associated with this PSP settlement deposit

deposited_atstring

The time this deposit was created

global_account_idstring

The unique identifier of the global account to which the funds were sent

holding_account_idstring

Holding account unique identifier into which the funds were deposited

payerobject

The Payer provided along with the deposit

payer.namestring

The name of the payer

psp_settlement_intent_idstring

The unique identifier of the PSP settlement intent, if any, associated with this PSP settlement deposit

referencestring

Reference provided along with the deposit, which will be used to associate this PSP settlement deposit with PSP settlement splits

requirementsobject

Further actions required in order to proceed with this PSP settlement deposit

requirements.matching_psp_settlement_requiredobject

The amount of associated PSP settlement deposits does not match the amount of the PSP settlement intent.

requirements.matching_psp_settlement_required.messagestring

Information about this requirement

requirements.psp_settlement_intent_requiredobject

Awaiting a PSP settlement intent.

requirements.psp_settlement_intent_required.messagestring

Information about this requirement

requirements.reference_disambiguation_requiredobject

PSP settlement deposit reference corresponds to multiple PSP settlement intents. Please specify in the PSP settlement intents which PSP settlement deposits correspond to them.

requirements.reference_disambiguation_required.messagestring
statusstring

Status of the PSP settlement deposit. One of: NEW, ACTION_REQUIRED, MATCHED, SETTLED

Errors
Error statusDescription
400

Possible errors: field_required, invalid_argument

401

Possible errors: credentials_invalid, credentials_expired

429

Too many requests

500

Service unavailable

GET /api/v1/psp_settlement_deposits
$curl --request GET \
> --url 'https://api-demo.airwallex.com/api/v1/psp_settlement_deposits' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Response (200 OK)
1{
2 "amount": "10000",
3 "currency": "AUD",
4 "deposit_id": "90b98dc6-63a0-403f-816b-ac5305b42a11",
5 "deposited_at": "2022-09-22T16:08:02+1100",
6 "global_account_id": "3f457fe5-daf4-9962-92ec-10332301d9p3",
7 "holding_account_id": "acct_wst1AJZWbOx2Ijf-PDS123w",
8 "payer": {
9 "name": "<string>"
10 },
11 "psp_settlement_intent_id": "psi_0iBwL9IuOZaKCz8Kn-01ew",
12 "reference": "PMT1936398",
13 "requirements": {
14 "matching_psp_settlement_required": {
15 "message": "<string>"
16 },
17 "psp_settlement_intent_required": {
18 "message": "<string>"
19 },
20 "reference_disambiguation_required": {
21 "message": "<string>"
22 }
23 },
24 "status": "ACTION_REQUIRED"
25}
Was this section helpful?